/**
 * @file popup
 * @author songjunke & luowenwen02
 * @since 2018-08-21
 */

/* global chrome */
chrome.runtime.onMessage.addListener(function (message, sender, sendReponse) {
    if (message.type === 'SETUA') {
        chrome.runtime.sendMessage({uaType: message.uaType, type: message.type}, function (response) {
            window.location.reload();
        });
    }
    else if (message.type === 'IFRAME') {
        let isIFrameForbidden = message.data.isIFrameForbidden;

        if (isIFrameForbidden) {
            window.postMessage({type: 'HolmesHeatMapIFrameForbidden'}, '*');
        }
    }
});
